import request from "@/utils/request2";
export default {
    //根据名称或者备案号分页查询国产化妆品数据
    domesticList(query) {
        return request({
            url: "/pharmaceuticals/gccp",
            method: "GET",
            params: query,
        });
    },
    //根据备案号查询单条国产化妆品数据
    // domesticGet(bah) {
    //     return request({
    //         url: `/pharmaceuticals/gccp/${bah}`,
    //         method: "GET",
    //     });
    // },
    //根据名称或者注册证号分页查询国产特殊化妆品数据
    specialList(query) {
        return request({
            url: "/pharmaceuticals/gctshzp",
            method: "GET",
            params: query,
        });
    },
    //通过注册证号查询单条国产特殊化妆品
    // specialGet(bah) {
    //     return request({
    //         url: `/pharmaceuticals/gctshzp/${bah}`,
    //         method: "GET",
    //     });
    // },
    //分页条件查询进口产品
    importList(query) {
        return request({
            url: "/pharmaceuticals/jkcp",
            method: "GET",
            params: query,
        });
    },
    //根据名称或者注册证号分页查询进口特殊化妆品数据
    importSpecialList(query) {
        return request({
            url: "/pharmaceuticals/jktshzp",
            method: "GET",
            params: query,
        });
    },
     //分页条件查询药品批件数据
     vRdgYpwhGxwz(query) {
        return request({
            url: "/pharmaceuticals/vRdgYpwhGxwz",
            method: "GET",
            params: query,
        });
    },
}
